ruby1.9.1_1.9.3.484-2ubuntu1.14_i386.deb


Advertisement

Description

ruby1.9.1 - Interpreter of object-oriented scripting language Ruby

Property Value
Distribution Ubuntu 14.04 LTS (Trusty Tahr)
Repository Ubuntu Updates Main i386
Package filename ruby1.9.1_1.9.3.484-2ubuntu1.14_i386.deb
Package name ruby1.9.1
Package version 1.9.3.484
Package release 2ubuntu1.14
Package architecture i386
Package type deb
Category ruby
Homepage http://www.ruby-lang.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 34.79 KB
Installed size 277.00 KB
Ruby is the interpreted scripting language for quick and easy
object-oriented programming.  It has many features to process text
files and to do system management tasks (as in perl).  It is simple,
straight-forward, and extensible.
In the name of this package, `1.9.1' indicates the Ruby library
compatibility version. This package currently provides the `1.9.3'
branch of Ruby, which is compatible with the `1.9.1' branch.

Alternatives

Package Version Architecture Repository
ruby1.9.1_1.9.3.484-2ubuntu1.14_amd64.deb 1.9.3.484 amd64 Ubuntu Updates Main
ruby1.9.1_1.9.3.484-2ubuntu1_i386.deb 1.9.3.484 i386 Ubuntu Main
ruby1.9.1_1.9.3.484-2ubuntu1_amd64.deb 1.9.3.484 amd64 Ubuntu Main
ruby1.9.1 - - -

Requires

Name Value
libc6 >= 2.0
libruby1.9.1 = 1.9.3.484-2ubuntu1.14
ruby >= 1:1.9.3.1

Provides

Name Value
irb1.9.1 -
rdoc1.9.1 -
ruby-interpreter -
rubygems1.9.1 -

Conflicts

Name Value
irb1.9.1 << 1.9.1.378-2~
rdoc1.9.1 << 1.9.1.378-2~
ri <= 4.5
ri1.9.1 << 1.9.2.180-3~
ruby <= 4.5
rubygems1.9.1 -

Replaces

Name Value
irb1.9.1 -
rdoc1.9.1 -
rubygems1.9.1 -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package ruby1.9.1_1.9.3.484-2ubuntu1.14_i386.deb
Source Package ruby1.9.1

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby1.9.1 deb package:
    # sudo apt-get install ruby1.9.1

Files

Path
/usr/bin/erb1.9.1
/usr/bin/gem1.9.1
/usr/bin/irb1.9.1
/usr/bin/rake1.9.1
/usr/bin/rdoc1.9.1
/usr/bin/ri1.9.1
/usr/bin/ruby1.9.1
/usr/bin/testrb1.9.1
/usr/share/doc/ruby1.9.1/LEGAL.gz
/usr/share/doc/ruby1.9.1/NEWS-1.8.7.gz
/usr/share/doc/ruby1.9.1/NEWS.Debian.gz
/usr/share/doc/ruby1.9.1/NEWS.gz
/usr/share/doc/ruby1.9.1/README.gz
/usr/share/doc/ruby1.9.1/README.ja.gz
/usr/share/doc/ruby1.9.1/ToDo.gz
/usr/share/doc/ruby1.9.1/changelog.Debian.gz
/usr/share/doc/ruby1.9.1/copyright
/usr/share/man/man1/erb1.9.1.1.gz
/usr/share/man/man1/gem1.9.1.1.gz
/usr/share/man/man1/irb1.9.1.1.gz
/usr/share/man/man1/rake1.9.1.1.gz
/usr/share/man/man1/rdoc1.9.1.1.gz
/usr/share/man/man1/ri1.9.1.1.gz
/usr/share/man/man1/ruby1.9.1.1.gz
/usr/share/man/man1/testrb1.9.1.1.gz
/usr/share/menu/ruby1.9.1

Changelog

2019-03-29 - Leonidas S. Barbosa <leo.barbosa@canonical.com>
ruby1.9.1 (1.9.3.484-2ubuntu1.14) trusty-security; urgency=medium
* SECURITY UPDATE: Delete directory using symlink when decompressing tar,
Escape sequence injection vulnerability in gem owner, Escape sequence
injection vulnerability in API response handling, Arbitrary code exec,
Escape sequence injection vulnerability in errors
- debian/patches/CVE-2019-8320-25.patch: fix in
lib/rubygems/command_manager.rb,
lib/rubygems/commands/owner_command.rb,
lib/rubygems/gemcutter_utilities.rb,
lib/rubygems/installer.rb,
lib/rubygems/package.rb,
test/rubygems/test_gem_installer.rb,
test/rubygems/test_gem_package.rb,
test/rubygems/test_gem_text.rb.
- CVE-2019-8320
- CVE-2019-8321
- CVE-2019-8322
- CVE-2019-8323
- CVE-2019-8324
- CVE-2019-8325
* Fixing expired certification that causes tests to fail
- debian/patches/fixing_expired_SSL_certificates.patch: updating certs in
test/net/imap/cacert.pen, test/net/imap/server.crt,
test/net/imap/server.key.
2018-11-01 - Leonidas S. Barbosa <leo.barbosa@canonical.com>
ruby1.9.1 (1.9.3.484-2ubuntu1.13) trusty-security; urgency=medium
* SECURITY UPDATE: Name equality check
- debian/patches/CVE-2018-16395.patch: fix in
ext/openssl/ossl_x509name.c.
- CVE-2018-16395
* SECURITY UPDATE: Tainted flags not propagted
- debian/patches/CVE-2018-16396.patch: fix in
pack.c, test/ruby/test_pack.rb.
- CVE-2018-16396
* Incresing maximum test failures to 39 since some tests that
failed are related to timezone and tzdata changes.
- debian/run-test-suites.bash.
2018-06-07 - Leonidas S. Barbosa <leo.barbosa@canonical.com>
ruby1.9.1 (1.9.3.484-2ubuntu1.12) trusty-security; urgency=medium
* SECURITY UPDATE: Response splitting attack
- debian/patches/CVE-2017-17742*.patch: fix in webrick/httpresponse.rb,
test/webrick/test_httpresponse.rb.
- CVE-2017-17742
* SECURITY UPDATE: Denial of service
- debian/patches/CVE-2018-8777*.patch: fix in lib/webrick/httpresponse.rb,
lib/webrick/httpservlet/filehandler.rb,
test/webrick/test_filehandler.rb, test/webrick/test_httpresponse.rb.
- CVE-2018-8777
2018-04-16 - Leonidas S. Barbosa <leo.barbosa@canonical.com>
ruby1.9.1 (1.9.3.484-2ubuntu1.11) trusty-security; urgency=medium
* SECURITY UPDATE: Directory traversal vulnerability
- debian/patches/CVE-2018-6914.patch: fix in lib/tmpdir.rb,
test/test_tempfile.rb.
- CVE-2018-6914
* SECURITY UPDATE: Buffer under-read
- debian/patches/CVE-2018-8778.patch: fix in pack.c,
test/ruby/test_pack.rb.
- CVE-2018-8778
* SECURITY UPDATE: Unintended socket
- debian/patches/CVE-2018-8779.patch: fix in ext/socket/unixsocket.c,
test/socket/test_unix.rb.
- CVE-2018-8779
* SECURITY UPDATE: Directory traversal
- debian/patches/CVE-2018-8780.patch: fix in dir.c,
test/ruby/test_dir.rb.
- CVE-2018-8780
2018-04-13 - Leonidas S. Barbosa <leo.barbosa@canonical.com>
ruby1.9.1 (1.9.3.484-2ubuntu1.10) trusty-security; urgency=medium
* SECURITY REGRESSION: The fix for CVE-2018-1000074 was incomplete
and will be addressed in a future update.

See Also

Package Description
ruby2.0-dev_2.0.0.484-1ubuntu2.13_i386.deb Header files for compiling extension modules for the Ruby 2.0
ruby2.0-doc_2.0.0.484-1ubuntu2.13_all.deb Documentation for Ruby 2.0
ruby2.0_2.0.0.484-1ubuntu2.13_i386.deb Interpreter of object-oriented scripting language Ruby
sa-compile_3.4.2-0ubuntu0.14.04.1_all.deb Tools for compiling SpamAssassin rules into C
samba-common-bin_4.3.11+dfsg-0ubuntu0.14.04.20_i386.deb Samba common files used by both the server and the client
samba-common_4.3.11+dfsg-0ubuntu0.14.04.20_all.deb common files used by both the Samba server and client
samba-dev_4.3.11+dfsg-0ubuntu0.14.04.20_i386.deb tools for extending Samba
samba-doc_4.3.11+dfsg-0ubuntu0.14.04.20_all.deb Samba documentation
samba-dsdb-modules_4.3.11+dfsg-0ubuntu0.14.04.20_i386.deb Samba Directory Services Database
samba-libs_4.3.11+dfsg-0ubuntu0.14.04.20_i386.deb Samba core libraries
samba-vfs-modules_4.3.11+dfsg-0ubuntu0.14.04.20_i386.deb Samba Virtual FileSystem plugins
samba_4.3.11+dfsg-0ubuntu0.14.04.20_i386.deb SMB/CIFS file, print, and login server for Unix
sane-utils_1.0.23-3ubuntu3.1_i386.deb API library for scanners -- utilities
sbsigntool_0.6-0ubuntu7.2_i386.deb utility for signing and verifying files for UEFI Secure Boot
scdaemon_2.0.22-3ubuntu1.4_i386.deb GNU privacy guard - smart card support
Advertisement
Advertisement